CMSIS-DAP: CMSIS-DAP Initialization

| CMSIS-DAP Version 2.1.1 Interface Firmware for CoreSight Debug Access Port

- Main Page
- Usage and Description
- Reference

All Functions Groups Pages
Functions
CMSIS-DAP Initialization
Configure I/O ports and debug unit

CMSIS-DAP Hardware I/O and LED Pins are initialized with the function DAP_SETUP. More...

## Functions

__STATIC_INLINE void | DAP_SETUP (void)
| Setup of the Debug Unit I/O pins and LEDs (called when Debug Unit is initialized). More...
__STATIC_INLINE uint8_t | RESET_TARGET (void)
| Reset Target Device with custom specific I/O pin or command sequence. More...

## Description

CMSIS-DAP Hardware I/O and LED Pins are initialized with the function DAP_SETUP.

## Function Documentation

__STATIC_INLINE void DAP_SETUP | ( | void |  | ) |

Setup of the Debug Unit I/O pins and LEDs (called when Debug Unit is initialized).

This function performs the initialization of the CMSIS-DAP Hardware I/O Pins and the Status LEDs. In detail the operation of Hardware I/O and LED pins are enabled and set:

- I/O clock system enabled.
- all I/O pins: input buffer enabled, output pins are set to HighZ mode.
- for nTRST, nRESET a weak pull-up (if available) is enabled.
- LED output pins are enabled and LEDs are turned off.

__STATIC_INLINE uint8_t RESET_TARGET | ( | void |  | ) |

Reset Target Device with custom specific I/O pin or command sequence.

This function allows the optional implementation of a device specific reset sequence. It is called when the command DAP_ResetTarget and is for example required when a device needs a time-critical unlock sequence that enables the debug port.

Returns
  0 = no device specific reset sequence is implemented.
  1 = a device specific reset sequence is implemented.